<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Component inside component</title>
</head>
<body>

<main>
    <list-task :task="listTask">Tareas ejempplo, componente dentro de component</list-task>
</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script>

    Vue.component('list-task', {
        props: ['task'],
        template: `<div>
            <h1><slot></slot></h1>
            <ul>
                <task-component v-for="task in task" :task="task"></task-component>
            </ul>
        </div>`
    });


    Vue.component('task-component', {
        props: ['task'],
        template: `<li>{{ task }}</li>`
    });


    new Vue({
       el: 'main',
       data: {
           listTask: [
               'Lorem ipsum dolor sit amet.',
               'Lorem ipsum dolor sit amet.',
               'Lorem ipsum dolor sit amet.',
               'Lorem ipsum dolor sit amet.',
               'Lorem ipsum dolor sit amet.'
           ]
       }
    });
</script>

</body>
</html>